/***
JobGen Plus Version 5, (C)Unitech America Inc., 1996-2005

job: C:\Documents and Settings\YAMAShigeru\My Documents\Unitech HTi\JobGen Plus\TvvO\i}Eg`FbN\partsmnt.jgp

target: PT-630


*/

#include <jcntl.h>
#include <defn.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <io.h>
#include <rcd.h>
#include <lookup.h>
#include <fcntl.h>
#include <fio.h>
#include <ctype.h>


struct CtrlCenter ccnt;




/*** all data */

char _mismatch[34]; // 1..32, len includes terminator \0
char _pn_match[34]; // 1..32, len includes terminator \0
char _rd_lcn[8]; // 0..6, len includes terminator \0
char _rd_pts[34]; // 1..32, len includes terminator \0
char _sn_pts[18]; // 0..16, len includes terminator \0


/*** all global programs */


#line - 

#line 1 "#1.2.17 program node, init"


int nRec;

int nTotalRec;

int end_flag;



_init()

{

nRec = 0;

nTotalRec = GetRecordNum("partsmnt.txt");

end_flag=0;

}


#line - 

#line 1 "#1.3.17 program node, ReadRec"


char sRec[64];

char sPartsNo[17];

char sLcn[3];



_ReadRec()

{



nRec++;



if (nRec <= nTotalRec) {

   strcpy(sRec, ReadRecord("partsmnt.txt", nRec, 0));

   GetFieldFromRecord(sRec, 1, ',', sPartsNo);

   GetFieldFromRecord(sRec, 2, ',', sLcn);

   }

else 

end_flag=1;

}


#line - 

#line 1 "#1.12.17 program node, comp_pts"


int sc_flag1;



int _comp_pts()

{

int comp_result;

comp_result=strcmp(_rd_pts,_sn_pts);

if (comp_result==0)

sc_flag1=0;

else

sc_flag1=1;

}


#line - 

#line 1 "#1.17.17 program node, short_beep"


_short_beep()

{

_beep(3,2);

}


#line - 

#line 1 "#1.18.17 program node, long_beep"


_long_beep()

{

_beep(6,4);

}


#line - 



/*** all expressions */

int __GetExpression(int jid)
{int _RESULT_ = 0;
if(jid== 8050){
#line 1 "#1.4.6 collect node, rd_pts: data input, formula"

strcpy(_rd_pts, sPartsNo);;

}
else if(jid== 8062){
#line 1 "#1.5.6 collect node, rd_lcn: data input, formula"

strcpy(_rd_lcn, sLcn);;

}
else if(jid== 36039){
#line 1 "#2.3.0 link, ReadRec -> rd_pts, #3: link expression"

_RESULT_ = end_flag ==0;;

}
else if(jid== 36063){
#line 1 "#2.5.0 link, rd_lcn -> pn_match, #5: link expression"

_RESULT_ = sc_flag1==0;;

}
else if(jid== 36099){
#line 1 "#2.8.0 link, comp_pts -> mismatch, #8: link expression"

_RESULT_ = sc_flag1==1;;

}
else if(jid== 36159){
#line 1 "#2.13.0 link, comp_pts -> rd_lcn, #13: link expression"

_RESULT_ = sc_flag1==0;;

}
else if(jid== 36171){
#line 1 "#2.14.0 link, ReadRec -> end, #14: link expression"

_RESULT_ = end_flag==1;;

}

#line - 

else {printf("\n?unkwn eid:%d",jid);}
return _RESULT_;
}




/*** all control data */

struct CtrlData __cdata[] = {
40003, "\x00",
40002, "\x00",
36121, "\x89",
36109, "\x0D",
36085, "\x89",
36073, "\x0D",
36013, "\xFF",
40001, "\x73\x74\x61\x72\x74\x6D\x65\x6E\x75\x09\x01\x01\x69\x6E\x69"
"\x74\x09\x02\x01\x52\x65\x61\x64\x52\x65\x63\x09\x03\x01\x72"
"\x64\x5F\x70\x74\x73\x09\x04\x01\x72\x64\x5F\x6C\x63\x6E\x09"
"\x05\x01\x73\x6E\x5F\x70\x74\x73\x09\x06\x01\x65\x6E\x64\x09"
"\x09\x01\x63\x6F\x6D\x70\x5F\x70\x74\x73\x09\x0C\x01\x6D\x69"
"\x73\x6D\x61\x74\x63\x68\x09\x0F\x01\x70\x6E\x5F\x6D\x61\x74"
"\x63\x68\x09\x10\x01\x73\x68\x6F\x72\x74\x5F\x62\x65\x65\x70"
"\x09\x11\x01\x6C\x6F\x6E\x67\x5F\x62\x65\x65\x70\x09\x12\x01"
"\x00",
24217, (char*)&_long_beep,
24205, (char*)&_short_beep,
8194, "\x04\x22\x31\x00\x00\x02\x00\x00\x03\x05\x5F\x21\x00\x01\x00"
"\x01\x20\x09\x01\x00\x2C\xFF\xFF\xFF\xFF\x00\x00\x00\x00\x22"
"\x00\x00\x00\x08\x00\x00\x00\x00\x00\x00",
8196, "\x05",
8193, "\x0A\x0A\x0A\x8F\xEA\x8F\x8A\x3A\x20\x20\x20\x20\x20\x20\x20"
"\x20\x20\x4F\x4B\x00",
8195, (char*)&_pn_match,
8182, "\x04\x22\x31\x00\x00\x02\x00\x00\x03\x0D\x5F\x21\x00\x01\x00"
"\x01\x20\x09\x01\x00\x2C\xFF\xFF\xFF\xFF\x00\x00\x00\x00\x12"
"\x00\x00\x00\x07\x00\x00\x00\x00\x00\x00",
8184, "\x4E\x47\x00",
8181, "\x0A\x0A\x0A\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20"
"\x20\x20\x00",
8183, (char*)&_mismatch,
24145, (char*)&_comp_pts,
4110, "\x00\x00\x06\x00",
4109, "\x8F\x49\x97\xB9\x00",
8074, "\x04\x12\x11\x03\x00\x02\x00\x00\x02\x00\x5F\x21\x00\x01\x00"
"\x00\x10\x09\x01\x00\x2C\xFF\xFF\xFF\xFF\x00\x00\x00\x00\x00"
"\x00\x00\x00\x05\x00\x00\x00\x00\x00\x00",
8081, "\x03\x09\x05\x01\x08\x0D\x01\x05\x06\x01\x13\x0D\x14\x05\x02\x01\x11\x0D\x12\x0D\x00",
8073, "\x0A\x0A\x20\x20\x20\x20\x20\x20\x0A\x20\x20\x20\x20\x20\x20"
"\x20\x20\x20\x20\x20\x00",
8075, (char*)&_sn_pts,
8062, "\x04\x08\x11\x00\x40\x02\x03\x00\x03\x05\x5F\x21\x00\x01\x00"
"\x00\x06\x09\x01\x00\x2C\xFF\xFF\xFF\xFF\x00\x00\x00\x00\x00"
"\x10\x00\x00\x04\x00\x00\x00\x00\x00\x00",
8061, "\x0A\x0A\x0A\x8F\xEA\x8F\x8A\x3A\x00",
8063, (char*)&_rd_lcn,
8050, "\x04\x22\x16\x03\x40\x02\x00\x00\x01\x00\x5F\x21\x00\x01\x00"
"\x01\x20\x09\x01\x00\x2C\xFF\xFF\xFF\xFF\x00\x00\x00\x00\x00"
"\x00\x00\x00\x03\x00\x00\x00\x00\x00\x00",
8057, "\x03\x09\x05\x01\x08\x0D\x01\x05\x06\x01\x13\x0D\x14\x05\x02\x01\x11\x0D\x12\x0D\x00",
8049, "\x8F\xE3\x3A\x46\x2D\x50\x4E\x2C\x89\xBA\x3A\x53\x2D\x50\x4E"
"\x00",
8051, (char*)&_rd_pts,
24037, (char*)&_ReadRec,
24025, (char*)&_init,
4014, "\x00\x00\x02\x00",
4013, "\x50\x54\x36\x33\x30\x83\x66\x83\x82\x0A\x90\xBB\x91\xA2\x83"
"\x89\x83\x43\x83\x93\x81\x45\x95\x94\x95\x69\x83\x7D\x83\x45"
"\x83\x93\x83\x67\x83\x60\x83\x46\x83\x62\x83\x4E\x89\xBD\x82"
"\xA9\x83\x4C\x81\x5B\x82\xF0\x89\x9F\x82\xB7\x00",
44002, "\x00",
44001, "\x37\x34\x31\x08\x00\x86\x0D\x00\x38\x35\x32\x30\x11\x13\x87"
"\x00\x39\x36\x33\x2E\x10\x12\x88\x00\x00\x00\x00\x84\x20\x80"
"\x89\x00\x53\x4A\x41\x08\x00\x86\x0D\x00\x56\x4D\x44\x40\x11"
"\x13\x87\x00\x59\x50\x47\x3B\x10\x12\x88\x00\x00\x00\x00\x84"
"\x20\x80\x89\x00\x54\x4B\x42\x08\x00\x86\x0D\x00\x57\x4E\x45"
"\x3F\x11\x13\x87\x00\x5A\x51\x48\x2E\x10\x12\x88\x00\x00\x00"
"\x00\x84\x20\x80\x89\x00\x55\x4C\x43\x08\x00\x86\x0D\x00\x58"
"\x4F\x46\x26\x11\x13\x87\x00\x5F\x52\x49\x2C\x10\x12\x88\x00"
"\x00\x00\x00\x84\x20\x80\x89\x00\x2D\x3A\x23\x5C\x84\x8A\x0D"
"\x00\x2B\x3D\x24\x27\x11\x92\x8B\x00\x2A\x2F\x25\x21\x10\x93"
"\x8C\x00\x00\x00\x00\x84\x20\x80\x8D\x00",
44003, "\x00",
0,0
};

struct CtrlCenter ccnt = {
"PT-630",
"C:\Documents and Settings\YAMAShigeru\My Documents\Unitech HTi\JobGen Plus\TvvO\i}Eg`FbN\partsmnt.j",
"partsmnt.CCB",
1,
2,
18,
16,
"\x01\x01\x02\x06\x03\x06\x04\x02\x05\x02\x06\x02\x09\x01\x0C"
"\x06\x0F\x02\x10\x02\x11\x06\x12\x06\x00",
"\x00",
"\x01\x01\x02\x00\x08\x00\x02\x02\x03\x00\x01\x00\x03\x03\x04"
"\x00\x10\x00\x04\x04\x06\x00\x01\x00\x05\x05\x10\x00\x10\x00"
"\x06\x11\x03\x00\x08\x00\x07\x04\x09\x00\x08\x00\x08\x0C\x0F"
"\x00\x10\x00\x09\x12\x04\x00\x08\x00\x0A\x06\x09\x00\x08\x00"
"\x0B\x06\x0C\x00\x01\x00\x0D\x0C\x05\x00\x10\x00\x0E\x03\x09"
"\x00\x10\x00\x0F\x0F\x12\x00\x01\x00\x10\x10\x11\x00\x01\x00"
"\x00",
0,
1,
1,
2,
16,
4,
20,
8,
16,
4,
1,
2,
0,
"\x45\x78\x69\x74\x20\x28\x31\x2D\x59\x2F\x30\x2D\x4E\x29\x3F"
"\x00",
"\x44\x6F\x6E\x65\x00",
"\x41\x62\x6F\x72\x74\x00",
"\x42\x72\x6F\x77\x73\x65\x00",
"\x44\x61\x74\x61\x00",
"\x45\x64\x69\x74\x00",
"\x46\x6F\x75\x6E\x64\x00",
"\x4D\x6F\x64\x69\x66\x79\x20\x66\x69\x65\x6C\x64\x3F\x00",
"\x4E\x6F\x20\x64\x61\x74\x61\x00",
"\x4E\x6F\x74\x20\x66\x6F\x75\x6E\x64\x00",
"\x53\x65\x61\x72\x63\x68\x00",
"\x53\x65\x61\x72\x63\x68\x20\x6E\x65\x78\x74\x00",
"\x57\x61\x69\x74\x2E\x2E\x2E\x00",
"\x45\x72\x61\x73\x65\x20\x61\x6C\x6C\x3F\x00",
"\x45\x72\x61\x73\x65\x20\x6C\x61\x73\x74\x3F\x00",
"\x53\x65\x6E\x64\x20\x64\x61\x74\x61\x00",
"\x4E\x6F\x20\x72\x65\x63\x6F\x72\x64\x00",
"\x54\x6F\x74\x61\x6C\x00",
"\x46\x69\x6C\x65\x20\x6E\x6F\x74\x20\x66\x6F\x75\x6E\x64\x21"
"\x00",
"\x4F\x70\x65\x6E\x20\x66\x69\x6C\x65\x20\x65\x72\x72\x6F\x72"
"\x21\x00",
"\x52\x65\x61\x64\x20\x66\x69\x6C\x65\x20\x65\x72\x72\x6F\x72"
"\x21\x00",
"\x57\x72\x69\x74\x65\x20\x66\x69\x6C\x65\x20\x65\x72\x72\x6F"
"\x72\x21\x00",
"\x57\x72\x69\x74\x65\x20\x72\x65\x63\x6F\x72\x64\x20\x65\x72"
"\x72\x6F\x72\x21\x00",

(void*)__cdata,
(void*)__GetExpression,

15036
};

int _jobinit() {return (int)&ccnt;}

